try:
    from PySide2.QtWidgets import QApplication
    from PySide2.QtQuick import QQuickView
    from PySide2.QtCore import QUrl
    qt_found = True
except ImportError:
    qt_found = False

import threading
import logging
#import log


class QtInterface(threading.Thread):

    def __init__(self, app):
        self.logger = logging.getLogger(__name__)
        self.app = app
        threading.Thread.__init__(self, name="QtInterface")

    #@log.log_exception
    def run(self):
        if qt_found:
            self.qt_app = QApplication([])
            self.view = QQuickView()
            self.view.setSource(QUrl("qt_interface//example.qml"))
            self.logger.info("Starting Qt loop...")
            self.view.show()
            self.qt_app.exec_()
        else:
            self.logger.info("No PySide2. Qt interface can not be started.")


if __name__ == "__main__":
    import time
    #TODO This code is for dev testing only. Remove this in release
    qt = QtInterface(None)
    qt.start()
    for a in range(0,30):
        print(a)
        time.sleep(1)



